Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #1621 (closed wishlist: wontfix)

Opened 12 years ago

Last modified 12 years ago

[Console] Password's entry functionnality

Reported by: tsalm Assigned to: kris
Priority: major Milestone: 0.99.9
Component: Tango Version: 0.99.8 Sean
Keywords: Cc:

Description

Enter password is a common act.

A function to echoing '*' instead of diplaying clearly the password could be usefull.

Change History

04/27/09 15:34:52 changed by larsivi

I have my doubts about such functionality, so you would at least have to suggest a very good approach to how it should be implemented :)

04/27/09 17:06:44 changed by tsalm

I think we need :
- a function to disable the direct echoing of user's entries
- get and set cursor position
- directly capture the key press and simulate left key, right key, begin key and end key (I must admit it's not an easy way but don't see a better one...)

Maybe each of those functions could first be add in the tango.io.Console package ?

04/27/09 23:29:51 changed by kris

  • status changed from new to closed.
  • resolution set to wontfix.

Sorry tsalm: this seems like a user-interface notion, and we steer away from providing such things within Tango. Perhaps there's an existing console library that could be adapted for D usage, outside of Tango?

04/28/09 17:42:28 changed by larsivi

I was going to reply to this yesterday;

Echo off could possbily be added to Console, since it is standard tty functionality, but the other's are not. Only windows has system level key bindings afaik. I agree with Kris.

04/29/09 10:04:58 changed by tsalm

No problem kris
Larsivi, I think "echo off" could be a first good functionnality. And easy to add for Windows too (http://msdn.microsoft.com/en-us/library/ms686033(VS.85,printer).aspx)

Should I open a new ticket for it ?